#ifndef __STDINT__H
#define __STDINT__H

typedef signed char    int8_t;
typedef unsigned char  uint8_t;

typedef short          int16_t;
typedef unsigned short uint16_t;

typedef int            int32_t;
typedef unsigned int   uint32_t;

typedef signed char    int_least8_t;
typedef unsigned char  uint_least8_t;

typedef short          int_least16_t;
typedef unsigned short uint_least16_t;

typedef int            int_least32_t;
typedef unsigned int   uint_least32_t;

typedef signed char    int_fast8_t;
typedef unsigned char  uint_fast8_t;

typedef int            int_fast16_t;
typedef unsigned int   uint_fast16_t;

typedef int            int_fast32_t;
typedef unsigned int   uint_fast32_t;

typedef signed int     intmax_t;
typedef unsigned int   uintmax_t;

typedef signed long    intptr_t;
typedef unsigned long  uintptr_t;

#endif //!__STDINT__H